
Ruby - Bug #13442

Please backport r57359

04/16/2017 09:11 AM - shyouhei (Shyouhei Urabe)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.2: DONTNEED, 2.3: DONTNEED, 2.4:

DONE

Description

cf. https://github.com/ruby/ruby/commit/556e3da4216c926e71dea9ce4ea4a08dcfdc1275

Associated revisions

Revision 4a3da1fbba2c64d0fcb5da2fe7cc33b2bd808d0b - 05/09/2017 02:28 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 57359: [Backport #13442]

    uri/generic.rb: fix exception on non-IP format

    * lib/uri/generic.rb (URI::Generic#find_proxy): match IP address

      no_proxy against resolved self IP address.  [Fix GH-1513]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@58624 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4a3da1fb - 05/09/2017 02:28 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 57359: [Backport #13442]

    uri/generic.rb: fix exception on non-IP format

    * lib/uri/generic.rb (URI::Generic#find_proxy): match IP address

      no_proxy against resolved self IP address.  [Fix GH-1513]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@58624 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/09/2017 02:28 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: DONTNEED, 2.3: DONTNEED, 2.4: REQUIRED to 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONE

ruby_2_4 r58624 merged revision(s) 57359.
